From b2d371a721040b6f881ad350cccaec1e9a57b99b Mon Sep 17 00:00:00 2001
From: ramin <lordrasmus@gmail.com>
Date: Wed, 28 Feb 2024 12:54:46 +0100
Subject: [PATCH] fix c6x build with FORMAT_FLAT

since commit d869bb1600942c01a77539128f9ba5b5b55ad647 building c6x with format flat failed

if __DSBT__ is defined #include <dl-sysdep.h>

Signed-off-by: ramin <lordrasmus@gmail.com>
---
 ldso/include/dl-defs.h | 4 ++++
 1 file changed, 4 insertions(+)
 mode change 100644 => 100755 ldso/include/dl-defs.h

diff --git a/ldso/include/dl-defs.h b/ldso/include/dl-defs.h
old mode 100644
new mode 100755
index f27112a11..fd4e35b66
--- a/ldso/include/dl-defs.h
+++ b/ldso/include/dl-defs.h
@@ -78,6 +78,10 @@ typedef struct {
 #endif
 #endif
 
+#if defined( __DSBT__ ) && defined( __TARGET_c6x__ )
+#include <dl-sysdep.h>
+#endif
+
 /* Provide a means for a port to pass additional arguments to the _dl_start
    function.  */
 #ifndef DL_START
-- 
2.40.1

